Subject: bug#35319: Guix System installer text direction wrong for RTL languages

From: Ludovic Courtès <[email-masked]>
Date: Fri, 19 Apr 2019 17:26:35 +0200

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Wed, Apr 17, 2019 at 12:06:31PM +0200, Ludovic Courtès wrote:
>> I made changes to the installer so it’s almost ready as far as I’m
>> concerned.  It now displays language and territory names in the right
>> language.
>> 
>
> Language names for Arabic, Farsi, Hebrew are shown Left-to-Right (LTR)
> instead of Right-to-Left, e.g. العربية is displayed wrongly as ‭العربية‬.

Ouch, good point!  I have no idea what it takes to display RTL languages
properly.  AFAIK ‘gettext’ simply returns a string, so I guess it’s up
to the UI toolkit (Newt?) to do the right thing?

Ludo’.